package dyjx

import (
	"dysy/models"
	"encoding/json"
	"fmt"
	"github.com/asmcos/requests"
	"testing"
)

func Test_Url(t *testing.T) {
	var inData models.DyJieXi
	baseHost := "https://www.iesdouyin.com/web/api/v2/aweme/iteminfo/?item_ids=6921910683072220429"

	req := requests.Requests()
	resp, err := req.Get(baseHost)
	fmt.Println(resp.Text())
	if err != nil {
		fmt.Println(err.Error())
	}

	err = json.Unmarshal([]byte(resp.Text()), &inData)
	if err != nil {
		fmt.Println()
	}
	fmt.Println(inData)
	//视频url
	fmt.Println(inData.ItemList[0].Video.PlayAddr.URLList[0])
	fmt.Println(inData.ItemList[0].Video.PlayAddr.URI)
	//音频url
	//musicUrl = dyResult.getItem_list().get(0).getMusic().getPlay_url().getUri();
	//dyDto.setMusicUrl(musicUrl);
	fmt.Println(inData.ItemList[0].Music.PlayURL.URI)
	fmt.Println(inData.ItemList[0].Music.PlayURL.URLList[0])

	//videoPic = dyResult.getItem_list().get(0).getVideo().getDynamic_cover().getUrl_list().get(0);
	//dyDto.setVideoPic(videoPic);
	//封面
	fmt.Println(inData.ItemList[0].Video.DynamicCover.URLList[0])

	//文案
	//desc = dyResult.getItem_list().get(0).getDesc();
	//                dyDto.setDesc(desc);
	fmt.Println(inData.ItemList[0].Desc)
	//client := &http.Client{
	//	CheckRedirect: func(req *http.Request, via []*http.Request) error {
	//		return http.ErrUseLastResponse
	//	},
	//}
	//
	//res, err := client.Get(baseHost)
	////res.Body
	//fmt.Println("res = ", res.Body)
	//if err != nil {
	//	//return baseHost
	//	fmt.Println(baseHost)
	//}

	//if res.StatusCode != 301 {
	//	fmt.Println(baseHost)
	//	//return baseHost
	//}
	//fmt.Println(res.Header.Get("Location"))
}

//https://www.iesdouyin.com/web/api/v2/aweme/iteminfo/?item_ids=6921910683072220429
