package routers

import (
	"dysy/apis/dyjx"
	"github.com/gin-gonic/gin"
	"net/http"
)

func InitRouter() {
	r := gin.New()

	r.GET("/", func(c *gin.Context) { c.String(http.StatusOK, "hello!") })

	r2 := r.Group("/")
	{
		dyjx.InitDyjxRouter(r2) //去水印

	}
	_ = r.Run(":8080")
}
